Index: issm/trunk/test/NightlyRun/IdFromString.py
===================================================================
--- issm/trunk/test/NightlyRun/IdFromString.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/IdFromString.py	(revision 27232)
@@ -2,4 +2,5 @@
 from IdToName import IdToName
 import os
+import re
 
 # use verbose = False to print output when this is called by command line
@@ -27,12 +28,11 @@
     ids = []
     idnames = []
-    for f in os.listdir('.'):
-        if f.endswith('.py') and f.startswith('test'):
-            # all tests look like: "testwxyz.py" so 5th to 3rd to last is always the full id
-            s = int(f[4:-3])
-            name = IdToName(s)
-            if (string == ' * ') or (name is not None and string in name):
-                ids.append(s)
-                idnames.append(name)
+    flist = [f for f in os.listdir('.') if re.match('test[0-9]+.py', f)] # File name must follow the format "test<integer>.py"
+    list_ids = [int(re.search(r'\d+',file.split('.')[0]).group()) for file in flist] # Retrieve test IDs
+    for i in list_ids:
+        name = IdToName(i)
+        if (string == ' * ') or (name is not None and string in name):
+            ids.append(i)
+            idnames.append(name)
 
 #Return if no test found
Index: issm/trunk/test/NightlyRun/runme.py
===================================================================
--- issm/trunk/test/NightlyRun/runme.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/runme.py	(revision 27232)
@@ -365,5 +365,5 @@
                             field = field.T
                             if np.shape(field) != np.shape(archive):
-                                raise RuntimeError("Field '{}' from test is malformed; shape is {}, should be {} or {}".format(archive_name, np.shape(field.T), np.shape(archive), np.shape(archive.T)))
+                                raise RuntimeError("Field '{}' from test {} is malformed; shape is {}, should be {} or {}".format(fieldname, archive_name[7:], np.shape(field.T), np.shape(archive), np.shape(archive.T)))
 
                         error_diff = np.amax(np.abs(archive - field), axis=0) / (np.amax(np.abs(archive), axis=0) + float_info.epsilon)
Index: issm/trunk/test/NightlyRun/test2002.py
===================================================================
--- issm/trunk/test/NightlyRun/test2002.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test2002.py	(revision 27232)
@@ -11,7 +11,12 @@
 
 
+# Mesh earth
+#
+# NOTE: In MATLAB, we currently use cached mesh to account for differences in
+# mesh generated under Linux versus under macOS
+#
 md = model()
 
-## Generate and save mesh (need to uncomment import of gmshplanet as well)
+# Generate and save mesh (need to uncomment import of gmshplanet as well)
 # md.mesh = gmshplanet('radius', 6.371012 * 1e3, 'resolution', 700.) # 700 km resolution mesh
 # with open('../Data/SlcTestMesh.pkl', 'wb') as slc_test_mesh_file:
@@ -60,5 +65,5 @@
 
 icemask = np.ones((md.mesh.numberofvertices, ))
-# NOTE: Need to be careful here: when using multidimensional array elements to 
+# NOTE: Need to be careful here: when using multidimensional array elements to
 # address a one-dimensional array in MATLAB, only first column is used
 #
Index: issm/trunk/test/NightlyRun/test2004.py
===================================================================
--- issm/trunk/test/NightlyRun/test2004.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test2004.py	(revision 27232)
@@ -2,7 +2,7 @@
 #
 # TODO:
-# - Save boundaries by name to some data structure with tag so that they can be 
-#   copied to basins that use identical shapefiles and projections (will need 
-#   to check if the cost of the additional structure, checks, and copying are 
+# - Save boundaries by name to some data structure with tag so that they can be
+#   copied to basins that use identical shapefiles and projections (will need
+#   to check if the cost of the additional structure, checks, and copying are
 #   greater than the cost of projecting).
 #
@@ -41,5 +41,5 @@
 #HemisphereWest #{{{
 sl.addbasin(
-    basin('continent', 'hemispherewest', 'name', 'hemispherewest', 'proj', laea(0, -90), 'boundaries', [ # Peru projection 3587
+    basin('continent', 'hemispherewest', 'name', 'hemispherewest', 'proj', laea(0, -90), 'boundaries', [  # Peru projection 3587
         boundary('shppath', shppath, 'shpfilename', 'HemisphereSplit', 'proj', proj4326, 'orientation', 'reverse'),
         boundary('shppath', shppath, 'shpfilename', 'NorthAntarctica', 'proj', proj3031),
@@ -49,6 +49,5 @@
         boundary('shppath', shppath, 'shpfilename', 'RonneWestSummit', 'proj', proj3031),
         boundary('shppath', shppath, 'shpfilename', 'WestAntarctica2', 'proj', proj3031, 'orientation', 'reverse'),
-        boundary('shppath', shppath, 'shpfilename', 'SouthAntarctica', 'proj', proj3031)
-        ]
+        boundary('shppath', shppath, 'shpfilename', 'SouthAntarctica', 'proj', proj3031)]
     )
 )
@@ -59,7 +58,6 @@
         boundary('shppath', shppath, 'shpfilename', 'SouthAntarctica', 'proj', proj3031),
         boundary('shppath', shppath, 'shpfilename', 'RossIceShelf', 'proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename', 'RossWestFront','proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename', 'RossFront', 'proj', proj3031, 'orientation', 'reverse')
-        ]
+        boundary('shppath', shppath, 'shpfilename', 'RossWestFront', 'proj', proj3031),
+        boundary('shppath', shppath, 'shpfilename', 'RossFront', 'proj', proj3031, 'orientation', 'reverse')]
     )
 )
@@ -67,12 +65,11 @@
 #HemisphereEast: {{{
 sl.addbasin(
-    basin('continent', 'hemisphereeast', 'name', 'hemisphereeast', 'proj', laea(0, +90), 'boundaries', [ #Australian projection lat, long
+    basin('continent', 'hemisphereeast', 'name', 'hemisphereeast', 'proj', laea(0, +90), 'boundaries', [  #Australian projection lat, long
         boundary('shppath', shppath, 'shpfilename', 'HemisphereSplit', 'proj', proj4326),
         boundary('shppath', shppath, 'shpfilename', 'SouthAntarctica', 'proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename','RossFront', 'proj', proj3031),
+        boundary('shppath', shppath, 'shpfilename', 'RossFront', 'proj', proj3031),
         boundary('shppath', shppath, 'shpfilename', 'RossWestFront', 'proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename', 'EastAntarctica2', 'proj', proj3031,'orientation', 'reverse'),
-        boundary('shppath', shppath, 'shpfilename', 'NorthAntarctica', 'proj', proj3031)
-        ]
+        boundary('shppath', shppath, 'shpfilename', 'EastAntarctica2', 'proj', proj3031, 'orientation', 'reverse'),
+        boundary('shppath', shppath, 'shpfilename', 'NorthAntarctica', 'proj', proj3031)]
     )
 )
@@ -90,6 +87,5 @@
         boundary('shppath', shppath, 'shpfilename', 'RonneIceShelf', 'proj', proj3031),
         boundary('shppath', shppath, 'shpfilename', 'RonneEastSummit', 'proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename', 'RonneBrunt', 'proj', proj3031)
-        ]
+        boundary('shppath', shppath, 'shpfilename', 'RonneBrunt', 'proj', proj3031)]
     )
 )
@@ -101,6 +97,5 @@
         boundary('shppath', shppath, 'shpfilename', 'RonneIceShelf', 'proj', proj3031),
         boundary('shppath', shppath, 'shpfilename', 'RonneEastSummit', 'proj', proj3031),
-        boundary('shppath', shppath, 'shpfilename', 'RonneFront', 'proj', proj3031, 'orientation', 'reverse')
-        ]
+        boundary('shppath', shppath, 'shpfilename', 'RonneFront', 'proj', proj3031, 'orientation', 'reverse')]
     )
 )
@@ -114,11 +109,9 @@
 hmin = hmin * 1000
 hmax = hmax * 1000
-tolerance = 100 # tolerance of 100m on Earth position when merging 3d meshes
+tolerance = 100  # tolerance of 100m on Earth position when merging 3d meshes
 threshold = 5
-defaultoptions = [
-    'KeepVertices', 0,
-    'MaxCornerAngle', 0.0000000001,
-    'NoBoundaryRefinement', 1
-]
+defaultoptions = ['KeepVertices', 0,
+                  'MaxCornerAngle', 0.0000000001,
+                  'NoBoundaryRefinement', 1]
 alreadyloaded = 0
 #}}}
@@ -134,5 +127,5 @@
 
     # Mesh
-    md = bamg(model(), 'domain', domain, 'subdomains', coastline, 'hmin', hmin, 'hmax', hmax, *defaultoptions) # NOTE: Unpacking defaultoptions with '*'
+    md = bamg(model(), 'domain', domain, 'subdomains', coastline, 'hmin', hmin, 'hmax', hmax, *defaultoptions)  # NOTE: Unpacking defaultoptions with '*'
 
     # Miscellaneous
@@ -254,14 +247,10 @@
     landelsconocean = landels[np.nonzero(sumconnectedisonocean)[0]]
 
-    ind1 = np.hstack((
-        md.mesh.elements[landelsconocean, 0],
-        md.mesh.elements[landelsconocean, 1],
-        md.mesh.elements[landelsconocean, 2]
-    ))
-    ind2 = np.hstack((
-        md.mesh.elements[landelsconocean, 1],
-        md.mesh.elements[landelsconocean, 2],
-        md.mesh.elements[landelsconocean, 0]
-    ))
+    ind1 = np.hstack((md.mesh.elements[landelsconocean, 0],
+                      md.mesh.elements[landelsconocean, 1],
+                      md.mesh.elements[landelsconocean, 2]))
+    ind2 = np.hstack((md.mesh.elements[landelsconocean, 1],
+                      md.mesh.elements[landelsconocean, 2],
+                      md.mesh.elements[landelsconocean, 0]))
 
     # Edge ind1 and ind2
@@ -325,6 +314,6 @@
         delHGLA = InterpFromMeshToMesh2d(index, longGLA, latGLA, delHGLA, longe, late)
 
-        # NOTE: For some reason, cannot apply pos to multiple arrays in a 
-        #       singlelike we might do in MATLAB. Instead, we iterate over 
+        # NOTE: For some reason, cannot apply pos to multiple arrays in a
+        #       singlelike we might do in MATLAB. Instead, we iterate over
         #       elements of pos.
         #
@@ -461,12 +450,10 @@
 md.solidearth.settings.rotation = 0
 md.solidearth.settings.viscous = 0
-md.solidearth.requested_outputs = [
-    'default',
-    'DeltaIceThickness',
-    'Sealevel',
-    'Bed',
-    'SealevelBarystaticIceMask',
-    'SealevelBarystaticOceanMask',
-]
+md.solidearth.requested_outputs = ['default',
+                                   'DeltaIceThickness',
+                                   'Sealevel',
+                                   'Bed',
+                                   'SealevelBarystaticIceMask',
+                                   'SealevelBarystaticOceanMask']
 md = solve(md, 'Transient')
 Seustatic = md.results.TransientSolution.Sealevel
Index: issm/trunk/test/NightlyRun/test2006.py
===================================================================
--- issm/trunk/test/NightlyRun/test2006.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test2006.py	(revision 27232)
@@ -18,4 +18,5 @@
 md = model()
 md.cluster = generic('name', gethostname(), 'np', 5)
+md.mesh = gmshplanet('radius', 6.371012 * 1e3, 'resolution', 700.)  #700 km resolution mesh
 
 # Load precomputed mesh
@@ -163,31 +164,22 @@
 for i in range(len(locations)):
     if i == 0:
-        md.outputdefinition.definitions = [
-            nodalvalue(
-                'name',             'SNode',
-                'definitionstring', 'Outputdefinition1',
-                'model_string',     'Sealevel',
-                'node',             locations[i]
-            )
-        ]
+        md.outputdefinition.definitions = [nodalvalue('name', 'SNode',
+                                                      'definitionstring', 'Outputdefinition1',
+                                                      'model_string', 'Sealevel',
+                                                      'node', locations[i])]
     else:
         md.outputdefinition.definitions.append(
-            nodalvalue(
-                'name',             'SNode',
-                'definitionstring', 'Outputdefinition' + str(i + 1),
-                'model_string',     'Sealevel',
-                'node',             locations[i]
-            )
-        )
+            nodalvalue('name', 'SNode',
+                       'definitionstring', 'Outputdefinition' + str(i + 1),
+                       'model_string', 'Sealevel',
+                       'node', locations[i]))
 #}}}
 
 # Algorithm #{{{
 md.qmu.method = dakota_method.dakota_method('nond_samp')
-md.qmu.method = dmeth_params_set(
-    md.qmu.method,
-    'seed',             1234,
-    'samples',          10,
-    'sample_type',      'random'
-)
+md.qmu.method = dmeth_params_set(md.qmu.method,
+                                 'seed', 1234,
+                                 'samples', 10,
+                                 'sample_type', 'random')
 md.qmu.output = 1
 #}}}
@@ -235,5 +227,5 @@
 
 # Compare statistics with our own here
-svalues = mds.results.StatisticsSolution[-1].SealevelSamples # all values at locations
+svalues = mds.results.StatisticsSolution[-1].SealevelSamples  # all values at locations
 
 dvalues = np.zeros((md.qmu.method.params.samples, len(locations)))
Index: issm/trunk/test/NightlyRun/test2010.m
===================================================================
--- issm/trunk/test/NightlyRun/test2010.m	(revision 27035)
+++ issm/trunk/test/NightlyRun/test2010.m	(revision 27232)
@@ -110,7 +110,7 @@
 lat=md.results.TransientSolution.SealevelBarystaticIceLatbar*pi/180;
 lon=md.results.TransientSolution.SealevelBarystaticIceLongbar*pi/180;
-moi_xz = sum(-loadice.*areaice.*rad_e^2.*sin(lat).*cos(lat).*cos(lon));
-moi_yz = sum(-loadice.*areaice.*rad_e^2.*sin(lat).*cos(lat).*sin(lon));
-moi_zz = sum(-loadice.*areaice.*rad_e^2.*(-1.0/3.0+sin(lat).^2));
+moi_xz = sum(-loadice.*rad_e^2.*sin(lat).*cos(lat).*cos(lon));
+moi_yz = sum(-loadice.*rad_e^2.*sin(lat).*cos(lat).*sin(lon));
+moi_zz = sum(-loadice.*rad_e^2.*(-1.0/3.0+sin(lat).^2));
 theoretical_value_check=[moixz/moi_xz moiyz/moi_yz moizz/moi_zz]; % should yield [1.0 1.0 1.0]
 % }}}
Index: issm/trunk/test/NightlyRun/test2013.m
===================================================================
--- issm/trunk/test/NightlyRun/test2013.m	(revision 27035)
+++ issm/trunk/test/NightlyRun/test2013.m	(revision 27232)
@@ -99,4 +99,5 @@
 latbar=md.results.TransientSolution.SealevelBarystaticIceLatbar;
 
+loads=loads./areas;
 
 %Fields and tolerances to track changes
Index: issm/trunk/test/NightlyRun/test243.m
===================================================================
--- issm/trunk/test/NightlyRun/test243.m	(revision 27035)
+++ issm/trunk/test/NightlyRun/test243.m	(revision 27232)
@@ -10,4 +10,5 @@
 md.smb = SMBgemb(md.mesh,md.geometry);
 md.smb.dsnowIdx = 1;
+md.smb.swIdx = 1;
 
 %load hourly surface forcing date from 1979 to 2009:
Index: issm/trunk/test/NightlyRun/test243.py
===================================================================
--- issm/trunk/test/NightlyRun/test243.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test243.py	(revision 27232)
@@ -2,7 +2,5 @@
 from socket import gethostname
 import sys
-
 import numpy as np
-
 from model import *
 from parameterize import *
@@ -23,4 +21,5 @@
 md.smb = SMBgemb(md.mesh, md.geometry)
 md.smb.dsnowIdx = 1
+md.smb.swIdx = 1
 
 #load hourly surface forcing date from 1979 to 2009:
@@ -44,12 +43,10 @@
 
 #smb settings
-md.smb.requested_outputs = [
-        'SmbDz','SmbT','SmbD','SmbRe','SmbGdn','SmbGsp','SmbEC',
-        'SmbA','SmbMassBalance','SmbMAdd','SmbDzAdd','SmbFAC','SmbMeanSHF','SmbMeanLHF',
-        'SmbMeanULW','SmbNetLW','SmbNetSW','SmbWAdd','SmbRunoff','SmbRefreeze','SmbMelt',
-        'SmbEC','SmbPrecipitation','SmbRain','SmbAccumulatedMassBalance','SmbAccumulatedRunoff',
-        'SmbAccumulatedMelt','SmbAccumulatedEC','SmbAccumulatedPrecipitation','SmbAccumulatedRain',
-        'SmbAccumulatedPrecipitation','SmbAccumulatedRefreeze'
-    ]
+md.smb.requested_outputs = ['SmbDz','SmbT','SmbD','SmbRe','SmbGdn','SmbGsp','SmbEC',
+                            'SmbA','SmbMassBalance','SmbMAdd','SmbDzAdd','SmbFAC','SmbMeanSHF','SmbMeanLHF',
+                            'SmbMeanULW','SmbNetLW','SmbNetSW','SmbWAdd','SmbRunoff','SmbRefreeze','SmbMelt',
+                            'SmbEC','SmbPrecipitation','SmbRain','SmbAccumulatedMassBalance','SmbAccumulatedRunoff',
+                            'SmbAccumulatedMelt','SmbAccumulatedEC','SmbAccumulatedPrecipitation','SmbAccumulatedRain',
+                            'SmbAccumulatedPrecipitation','SmbAccumulatedRefreeze']
 
 #only run smb core:
@@ -72,5 +69,5 @@
 
 #Fields and tolerances to track changes
-field_names = ['Layers','SmbDz','SmbT','SmbD','SmbRe','SmbGdn','SmbGsp','SmbA' ,'SmbEC','SmbMassBalance','SmbMAdd','SmbDzAdd','SmbFAC','SmbMeanSHF','SmbMeanLHF','SmbMeanULW','SmbNetLW','SmbNetSW','SmbAccumulatedMassBalance','SmbAccumulatedRunoff','SmbAccumulatedMelt','SmbAccumulatedEC','SmbAccumulatedPrecipitation','SmbAccumulatedRain','SmbAccumulatedRefreeze','SmbRunoff','SmbMelt','SmbEC','SmbPrecipitation','SmbRain','SmbRefreeze','SmbWAdd']
+field_names = ['Layers', 'SmbDz', 'SmbT', 'SmbD', 'SmbRe', 'SmbGdn', 'SmbGsp', 'SmbA', 'SmbEC', 'SmbMassBalance', 'SmbMAdd', 'SmbDzAdd', 'SmbFAC', 'SmbMeanSHF', 'SmbMeanLHF', 'SmbMeanULW', 'SmbNetLW', 'SmbNetSW', 'SmbAccumulatedMassBalance', 'SmbAccumulatedRunoff', 'SmbAccumulatedMelt', 'SmbAccumulatedEC', 'SmbAccumulatedPrecipitation', 'SmbAccumulatedRain', 'SmbAccumulatedRefreeze', 'SmbRunoff', 'SmbMelt', 'SmbEC', 'SmbPrecipitation', 'SmbRain', 'SmbRefreeze', 'SmbWAdd']
 field_tolerances = [1e-12, 2e-12, 1e-12, 2e-11, 1e-11, 2e-11, 1e-11, 1e-12, 1e-11, 1e-12, 1e-12, 1e-12, 1e-11, 2e-11, 2e-11, 1e-11, 9e-10, 2e-11, 1e-11, 9e-10, 2e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11]
 
Index: issm/trunk/test/NightlyRun/test244.m
===================================================================
--- issm/trunk/test/NightlyRun/test244.m	(revision 27035)
+++ issm/trunk/test/NightlyRun/test244.m	(revision 27232)
@@ -11,4 +11,5 @@
 md.smb = SMBgemb(md.mesh,md.geometry);
 md.smb.dsnowIdx = 0;
+md.smb.swIdx = 1;
 
 %load hourly surface forcing date from 1979 to 2009:
Index: issm/trunk/test/NightlyRun/test244.py
===================================================================
--- issm/trunk/test/NightlyRun/test244.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test244.py	(revision 27232)
@@ -30,4 +30,5 @@
 md.smb = SMBgemb(md.mesh, md.geometry)
 md.smb.dsnowIdx = 0
+md.smb.swIdx = 1
 
 #load hourly surface forcing date from 1979 to 2009:
Index: issm/trunk/test/NightlyRun/test252.m
===================================================================
--- issm/trunk/test/NightlyRun/test252.m	(revision 27035)
+++ issm/trunk/test/NightlyRun/test252.m	(revision 27232)
@@ -10,4 +10,6 @@
 md.smb = SMBgemb(md.mesh,md.geometry);
 md.smb.dsnowIdx = 4;
+md.smb.swIdx = 1;
+md.smb.tcIdx = 2;
 
 %load hourly surface forcing date from 1979 to 2009:
Index: issm/trunk/test/NightlyRun/test252.py
===================================================================
--- issm/trunk/test/NightlyRun/test252.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test252.py	(revision 27232)
@@ -23,4 +23,6 @@
 md.smb = SMBgemb(md.mesh, md.geometry)
 md.smb.dsnowIdx = 4
+md.smb.swIdx = 1
+md.smb.tcIdx = 2
 
 #load hourly surface forcing date from 1979 to 2009:
@@ -79,60 +81,56 @@
                'SmbDz3', 'SmbT3', 'SmbD3', 'SmbRe3', 'SmbGdn3', 'SmbGsp3', 'SmbA3', 'SmbEC3', 'SmbMassBalance3', 'SmbMAdd3', 'SmbDzAdd3', 'SmbFAC3',
                'SmbDz4', 'SmbT4', 'SmbD4', 'SmbRe4', 'SmbGdn4', 'SmbGsp4', 'SmbA4', 'SmbEC4', 'SmbMassBalance4', 'SmbMAdd4', 'SmbDzAdd4', 'SmbFAC4']
-field_tolerances = [
-    1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,1e-12,
-    1e-12,1e-12,1e-11,1e-10,2e-11,1e-11,1e-12,1e-11,1e-12,1e-12,1e-12,1e-11,
-    1e-12,1e-12,2e-12,2e-11,4e-11,1e-11,1e-12,1e-11,1e-11,1e-12,1e-12,1e-11,
-    1e-11,1e-11,4e-11,4e-11,1e-12,4e-11,1e-12,3e-12,1e-10,1e-12,1e-12,2e-11
-]
+field_tolerances = [1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12, 1e-12,
+                    1e-12, 1e-12, 1e-11, 1e-10, 2e-11, 1e-11, 1e-12, 1e-11, 1e-12, 1e-12, 1e-12, 1e-11,
+                    1e-12, 1e-12, 2e-12, 2e-11, 4e-11, 1e-11, 1e-12, 1e-11, 1e-11, 1e-12, 1e-12, 1e-11,
+                    1e-11, 1e-11, 4e-11, 4e-11, 1e-12, 4e-11, 1e-12, 3e-12, 1e-10, 1e-12, 1e-12, 2e-11]
 # Shape is different in python solution (fixed using reshape) which can cause test failure
-field_values = [
-    nlayers,
-    md.results.TransientSolution[0].SmbDz[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbT[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbD[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbRe[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbGdn[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbGsp[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbA[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[0].SmbEC[0],
-    md.results.TransientSolution[0].SmbMassBalance[0],
-    md.results.TransientSolution[0].SmbMAdd[0],
-    md.results.TransientSolution[0].SmbDzAdd[0],
-    md.results.TransientSolution[0].SmbFAC[0],
-    md.results.TransientSolution[145].SmbDz[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbT[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbD[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbRe[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbGdn[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbGsp[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbA[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[145].SmbEC[0],
-    md.results.TransientSolution[145].SmbMassBalance[0],
-    md.results.TransientSolution[145].SmbMAdd[0],
-    md.results.TransientSolution[145].SmbDzAdd[0],
-    md.results.TransientSolution[145].SmbFAC[0],
-    md.results.TransientSolution[146].SmbDz[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbT[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbD[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbRe[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbGdn[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbGsp[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbA[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[146].SmbEC[0],
-    md.results.TransientSolution[146].SmbMassBalance[0],
-    md.results.TransientSolution[146].SmbMAdd[0],
-    md.results.TransientSolution[146].SmbDzAdd[0],
-    md.results.TransientSolution[146].SmbFAC[0],
-    md.results.TransientSolution[-1].SmbDz[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbT[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbD[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbRe[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbGdn[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbGsp[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbA[0, 0:nlayers].reshape(1, -1),
-    md.results.TransientSolution[-1].SmbEC[0],
-    md.results.TransientSolution[-1].SmbMassBalance[0],
-    md.results.TransientSolution[-1].SmbMAdd[0],
-    md.results.TransientSolution[-1].SmbDzAdd[0],
-    md.results.TransientSolution[-1].SmbFAC[0]
-]
+field_values = [nlayers,
+                md.results.TransientSolution[0].SmbDz[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbT[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbD[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbRe[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbGdn[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbGsp[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbA[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[0].SmbEC[0],
+                md.results.TransientSolution[0].SmbMassBalance[0],
+                md.results.TransientSolution[0].SmbMAdd[0],
+                md.results.TransientSolution[0].SmbDzAdd[0],
+                md.results.TransientSolution[0].SmbFAC[0],
+                md.results.TransientSolution[145].SmbDz[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbT[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbD[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbRe[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbGdn[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbGsp[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbA[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[145].SmbEC[0],
+                md.results.TransientSolution[145].SmbMassBalance[0],
+                md.results.TransientSolution[145].SmbMAdd[0],
+                md.results.TransientSolution[145].SmbDzAdd[0],
+                md.results.TransientSolution[145].SmbFAC[0],
+                md.results.TransientSolution[146].SmbDz[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbT[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbD[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbRe[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbGdn[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbGsp[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbA[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[146].SmbEC[0],
+                md.results.TransientSolution[146].SmbMassBalance[0],
+                md.results.TransientSolution[146].SmbMAdd[0],
+                md.results.TransientSolution[146].SmbDzAdd[0],
+                md.results.TransientSolution[146].SmbFAC[0],
+                md.results.TransientSolution[-1].SmbDz[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbT[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbD[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbRe[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbGdn[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbGsp[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbA[0, 0:nlayers].reshape(1, -1),
+                md.results.TransientSolution[-1].SmbEC[0],
+                md.results.TransientSolution[-1].SmbMassBalance[0],
+                md.results.TransientSolution[-1].SmbMAdd[0],
+                md.results.TransientSolution[-1].SmbDzAdd[0],
+                md.results.TransientSolution[-1].SmbFAC[0]]
Index: issm/trunk/test/NightlyRun/test417.py
===================================================================
--- issm/trunk/test/NightlyRun/test417.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test417.py	(revision 27232)
@@ -41,17 +41,16 @@
     'mean', np.ones((npart, 1)),
     'stddev', .01 * np.ones((npart, 1)),
-    'partition', partition
-    )
+    'partition', partition)
 
 #responses
-md.qmu.responses.MaxVel = response_function.response_function('descriptor','MaxVel')
-md.qmu.responses.IceVolume = response_function.response_function('descriptor','IceVolume')
-md.qmu.responses.MassFlux1 = response_function.response_function('descriptor','indexed_MassFlux_1')
-md.qmu.responses.MassFlux2 = response_function.response_function('descriptor','indexed_MassFlux_2')
-md.qmu.responses.MassFlux3 = response_function.response_function('descriptor','indexed_MassFlux_3')
-md.qmu.responses.MassFlux4 = response_function.response_function('descriptor','indexed_MassFlux_4')
-md.qmu.responses.MassFlux5 = response_function.response_function('descriptor','indexed_MassFlux_5')
-md.qmu.responses.massFlux6 = response_function.response_function('descriptor','indexed_MassFlux_6')
-md.qmu.responses.massFlux7 = response_function.response_function('descriptor','indexed_MassFlux_7')
+md.qmu.responses.MaxVel = response_function.response_function('descriptor', 'MaxVel')
+#md.qmu.responses.IceVolume = response_function.response_function('descriptor', 'IceVolume')  #commented for matlab consistency
+md.qmu.responses.MassFlux1 = response_function.response_function('descriptor', 'indexed_MassFlux_1')
+md.qmu.responses.MassFlux2 = response_function.response_function('descriptor', 'indexed_MassFlux_2')
+md.qmu.responses.MassFlux3 = response_function.response_function('descriptor', 'indexed_MassFlux_3')
+md.qmu.responses.MassFlux4 = response_function.response_function('descriptor', 'indexed_MassFlux_4')
+md.qmu.responses.MassFlux5 = response_function.response_function('descriptor', 'indexed_MassFlux_5')
+md.qmu.responses.massFlux6 = response_function.response_function('descriptor', 'indexed_MassFlux_6')
+md.qmu.responses.massFlux7 = response_function.response_function('descriptor', 'indexed_MassFlux_7')
 
 #mass flux profiles
Index: issm/trunk/test/NightlyRun/test440.py
===================================================================
--- issm/trunk/test/NightlyRun/test440.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test440.py	(revision 27232)
@@ -30,15 +30,11 @@
 
 #variables
-md.qmu.variables.rho_ice = normal_uncertain.normal_uncertain(
-    'descriptor', 'MaterialsRhoIce',
-    'mean', 1,
-    'stddev', 0.01
-    )
+md.qmu.variables.rho_ice = normal_uncertain.normal_uncertain('descriptor', 'MaterialsRhoIce',
+                                                             'mean', 1,
+                                                             'stddev', 0.01)
 
 #responses
-md.qmu.responses.MaxVel = response_function.response_function(
-    'descriptor', 'scaled_Thickness',
-    'partition', partition
-    )
+md.qmu.responses.MaxVel = response_function.response_function('descriptor', 'scaled_Thickness',
+                                                              'partition', partition)
 
 #method
Index: issm/trunk/test/NightlyRun/test446.py
===================================================================
--- issm/trunk/test/NightlyRun/test446.py	(revision 27035)
+++ issm/trunk/test/NightlyRun/test446.py	(revision 27232)
@@ -15,5 +15,5 @@
 md.cluster = generic('name', gethostname(), 'np', 3)
 md.stressbalance.requested_outputs = ['default', 'VxSurface', 'VySurface', 'VxShear', 'VyShear', 'VxBase', 'VyBase']
-md = SetMOLHOBC(md);
+md = SetMOLHOBC(md)
 md = solve(md, 'Stressbalance')
 
